---
type: api
title: Fetch organization information
description: Fetch a single organization by id. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-organization
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-organization
products:
  - Elastic Cloud Enterprise
---

# Fetch organization information

## Paths

- `GET` `/organizations/{organization_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Fetch a single organization by id. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

Organization fetched successfully

`application/json`

- `id` (string)
  The organization's identifier
- `name` (string)
  The organization's friendly name
- `enforce_authentication_method` (string)
  Enforces a particular authentication method for organization members
- `default_disk_usage_alerts_enabled` (boolean)
  Whether the default disk alerts are enabled
- `notifications_allowed_email_domains` ([] string)
  The list of allowed domains for notification-email recipients
- `billing_contacts` ([] string)
  The list of contacts for billing notifications, if specified
- `operational_contacts` ([] string)
  The list of contacts for operational notifications, if specified
- `sso_login_identifier` (string)
  The login identifier for initiating SSO
#### `401`

User not found. (code: `user.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `403`

The current user does not have access to the requested organization. (code: `organization.invalid_access`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /organizations/{organization_id}
```

#### curl

```curl
curl -X GET "/organizations/{organization_id}"
```

